if (srdfdom_CONFIG_INCLUDED)
  return()
endif()
set(srdfdom_CONFIG_INCLUDED TRUE)

set(srdfdom_INCLUDE_DIRS /opt/ros/fuerte/include)

foreach(lib srdfdom)
  set(onelib "${lib}-NOTFOUND")
  find_library(onelib ${lib}
    PATHS /opt/ros/fuerte/lib
    NO_DEFAULT_PATH
    )
  if(NOT onelib)
    message(FATAL_ERROR "Library '${lib}' in package srdfdom is not installed properly")
  endif()
  list(APPEND srdfdom_LIBRARIES ${onelib})
endforeach()

foreach(dep urdfdom_headers)
  if(NOT ${dep}_FOUND)
    find_package(${dep})
  endif()
  list(APPEND srdfdom_INCLUDE_DIRS ${${dep}_INCLUDE_DIRS})
  list(APPEND srdfdom_LIBRARIES ${${dep}_LIBRARIES})
endforeach()
